/**
* 文件：AreaQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.area.model;
import java.util.List;
/**
 * <p>Title: 区域信息</p>
 * <p>Description: AreaQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class AreaQuery extends AreaEntity{
	private static final long serialVersionUID = 1556594630661L;
	/** 开始 区域ID，主键，自增长 */
	private Long idStart;

	/** 结束 区域ID，主键，自增长 */
	private Long idEnd;

	/** 增加 区域ID，主键，自增长 */
	private Long idIncrement;

	/** 区域ID，主键，自增长 */
	private List<Long> idList;

	/** 开始 上级区域ID */
	private Long parentIdStart;

	/** 结束 上级区域ID */
	private Long parentIdEnd;

	/** 增加 上级区域ID */
	private Long parentIdIncrement;

	/** 上级区域ID */
	private List<Long> parentIdList;

	/** 区域名称 */
	private List<String> nameList;

	/** 开始 区域级别，按所处树的节点层次 */
	private Integer levelStart;

	/** 结束 区域级别，按所处树的节点层次 */
	private Integer levelEnd;

	/** 增加 区域级别，按所处树的节点层次 */
	private Integer levelIncrement;

	/** 区域级别，按所处树的节点层次 */
	private List<Integer> levelList;

	/** 区域编码，按全国省市编码 */
	private List<String> codeList;

	/** 区域负责人 */
	private List<String> contactsPeopleList;

	/** 区域负责人电话 */
	private List<String> contactsMobileList;

	/** 开始 子区域数量，默认0 */
	private Integer childSizeStart;

	/** 结束 子区域数量，默认0 */
	private Integer childSizeEnd;

	/** 增加 子区域数量，默认0 */
	private Integer childSizeIncrement;

	/** 子区域数量，默认0 */
	private List<Integer> childSizeList;

	/** 开始 子区域的最大ID，默认0 */
	private Integer maxChildIdStart;

	/** 结束 子区域的最大ID，默认0 */
	private Integer maxChildIdEnd;

	/** 增加 子区域的最大ID，默认0 */
	private Integer maxChildIdIncrement;

	/** 子区域的最大ID，默认0 */
	private List<Integer> maxChildIdList;

	/** 开始 状态，0停用，1启用，默认1 */
	private Integer statusStart;

	/** 结束 状态，0停用，1启用，默认1 */
	private Integer statusEnd;

	/** 增加 状态，0停用，1启用，默认1 */
	private Integer statusIncrement;

	/** 状态，0停用，1启用，默认1 */
	private List<Integer> statusList;

	/** 描述 */
	private List<String> remarkList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 开始 更新时间 */
	private String updateTimeStart;

	/** 结束 更新时间 */
	private String updateTimeEnd;

	/** 开始 创建用户ID */
	private Long createUserIdStart;

	/** 结束 创建用户ID */
	private Long createUserIdEnd;

	/** 增加 创建用户ID */
	private Long createUserIdIncrement;

	/** 创建用户ID */
	private List<Long> createUserIdList;

	/** 创建用户名称 */
	private List<String> createUserNameList;


	public AreaQuery(){
	}
	/**
	 * 获取 开始 区域ID，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 区域ID，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 区域ID，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 区域ID，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 区域ID，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 区域ID，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 区域ID，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 区域ID，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 开始 上级区域ID
	 * @return parentIdStart
	 */
	public Long getParentIdStart(){
		return this.parentIdStart;
	}

	/**
	 * 设置 开始 上级区域ID
	 * @param parentIdStart
	 */
	public void setParentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
	}

	/**
	 * 获取 结束 上级区域ID
	 * @return parentIdEnd
	 */
	public Long getParentIdEnd(){
		return this.parentIdEnd;
	}

	/**
	 * 设置 结束 上级区域ID
	 * @param parentIdEnd
	 */
	public void setParentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
	}

	/**
	 * 获取 增加 上级区域ID
	 * @return parentIdIncrement
	 */
	public Long getParentIdIncrement(){
		return this.parentIdIncrement;
	}

	/**
	 * 设置 增加 上级区域ID
	 * @param parentIdIncrement
	 */
	public void setParentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
	}

	/**
	 * 获取 上级区域ID
	 * @return parentIdList
	 */
	public List<Long> getParentIdList(){
		return this.parentIdList;
	}

	/**
	 * 设置 上级区域ID
	 * @param parentIdList
	 */
	public void setParentIdList(List<Long> parentIdList){
		this.parentIdList = parentIdList;
	}

	/**
	 * 获取 区域名称
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 区域名称
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 开始 区域级别，按所处树的节点层次
	 * @return levelStart
	 */
	public Integer getLevelStart(){
		return this.levelStart;
	}

	/**
	 * 设置 开始 区域级别，按所处树的节点层次
	 * @param levelStart
	 */
	public void setLevelStart(Integer levelStart){
		this.levelStart = levelStart;
	}

	/**
	 * 获取 结束 区域级别，按所处树的节点层次
	 * @return levelEnd
	 */
	public Integer getLevelEnd(){
		return this.levelEnd;
	}

	/**
	 * 设置 结束 区域级别，按所处树的节点层次
	 * @param levelEnd
	 */
	public void setLevelEnd(Integer levelEnd){
		this.levelEnd = levelEnd;
	}

	/**
	 * 获取 增加 区域级别，按所处树的节点层次
	 * @return levelIncrement
	 */
	public Integer getLevelIncrement(){
		return this.levelIncrement;
	}

	/**
	 * 设置 增加 区域级别，按所处树的节点层次
	 * @param levelIncrement
	 */
	public void setLevelIncrement(Integer levelIncrement){
		this.levelIncrement = levelIncrement;
	}

	/**
	 * 获取 区域级别，按所处树的节点层次
	 * @return levelList
	 */
	public List<Integer> getLevelList(){
		return this.levelList;
	}

	/**
	 * 设置 区域级别，按所处树的节点层次
	 * @param levelList
	 */
	public void setLevelList(List<Integer> levelList){
		this.levelList = levelList;
	}

	/**
	 * 获取 区域编码，按全国省市编码
	 * @return codeList
	 */
	public List<String> getCodeList(){
		return this.codeList;
	}

	/**
	 * 设置 区域编码，按全国省市编码
	 * @param codeList
	 */
	public void setCodeList(List<String> codeList){
		this.codeList = codeList;
	}

	/**
	 * 获取 区域负责人
	 * @return contactsPeopleList
	 */
	public List<String> getContactsPeopleList(){
		return this.contactsPeopleList;
	}

	/**
	 * 设置 区域负责人
	 * @param contactsPeopleList
	 */
	public void setContactsPeopleList(List<String> contactsPeopleList){
		this.contactsPeopleList = contactsPeopleList;
	}

	/**
	 * 获取 区域负责人电话
	 * @return contactsMobileList
	 */
	public List<String> getContactsMobileList(){
		return this.contactsMobileList;
	}

	/**
	 * 设置 区域负责人电话
	 * @param contactsMobileList
	 */
	public void setContactsMobileList(List<String> contactsMobileList){
		this.contactsMobileList = contactsMobileList;
	}

	/**
	 * 获取 开始 子区域数量，默认0
	 * @return childSizeStart
	 */
	public Integer getChildSizeStart(){
		return this.childSizeStart;
	}

	/**
	 * 设置 开始 子区域数量，默认0
	 * @param childSizeStart
	 */
	public void setChildSizeStart(Integer childSizeStart){
		this.childSizeStart = childSizeStart;
	}

	/**
	 * 获取 结束 子区域数量，默认0
	 * @return childSizeEnd
	 */
	public Integer getChildSizeEnd(){
		return this.childSizeEnd;
	}

	/**
	 * 设置 结束 子区域数量，默认0
	 * @param childSizeEnd
	 */
	public void setChildSizeEnd(Integer childSizeEnd){
		this.childSizeEnd = childSizeEnd;
	}

	/**
	 * 获取 增加 子区域数量，默认0
	 * @return childSizeIncrement
	 */
	public Integer getChildSizeIncrement(){
		return this.childSizeIncrement;
	}

	/**
	 * 设置 增加 子区域数量，默认0
	 * @param childSizeIncrement
	 */
	public void setChildSizeIncrement(Integer childSizeIncrement){
		this.childSizeIncrement = childSizeIncrement;
	}

	/**
	 * 获取 子区域数量，默认0
	 * @return childSizeList
	 */
	public List<Integer> getChildSizeList(){
		return this.childSizeList;
	}

	/**
	 * 设置 子区域数量，默认0
	 * @param childSizeList
	 */
	public void setChildSizeList(List<Integer> childSizeList){
		this.childSizeList = childSizeList;
	}

	/**
	 * 获取 开始 子区域的最大ID，默认0
	 * @return maxChildIdStart
	 */
	public Integer getMaxChildIdStart(){
		return this.maxChildIdStart;
	}

	/**
	 * 设置 开始 子区域的最大ID，默认0
	 * @param maxChildIdStart
	 */
	public void setMaxChildIdStart(Integer maxChildIdStart){
		this.maxChildIdStart = maxChildIdStart;
	}

	/**
	 * 获取 结束 子区域的最大ID，默认0
	 * @return maxChildIdEnd
	 */
	public Integer getMaxChildIdEnd(){
		return this.maxChildIdEnd;
	}

	/**
	 * 设置 结束 子区域的最大ID，默认0
	 * @param maxChildIdEnd
	 */
	public void setMaxChildIdEnd(Integer maxChildIdEnd){
		this.maxChildIdEnd = maxChildIdEnd;
	}

	/**
	 * 获取 增加 子区域的最大ID，默认0
	 * @return maxChildIdIncrement
	 */
	public Integer getMaxChildIdIncrement(){
		return this.maxChildIdIncrement;
	}

	/**
	 * 设置 增加 子区域的最大ID，默认0
	 * @param maxChildIdIncrement
	 */
	public void setMaxChildIdIncrement(Integer maxChildIdIncrement){
		this.maxChildIdIncrement = maxChildIdIncrement;
	}

	/**
	 * 获取 子区域的最大ID，默认0
	 * @return maxChildIdList
	 */
	public List<Integer> getMaxChildIdList(){
		return this.maxChildIdList;
	}

	/**
	 * 设置 子区域的最大ID，默认0
	 * @param maxChildIdList
	 */
	public void setMaxChildIdList(List<Integer> maxChildIdList){
		this.maxChildIdList = maxChildIdList;
	}

	/**
	 * 获取 开始 状态，0停用，1启用，默认1
	 * @return statusStart
	 */
	public Integer getStatusStart(){
		return this.statusStart;
	}

	/**
	 * 设置 开始 状态，0停用，1启用，默认1
	 * @param statusStart
	 */
	public void setStatusStart(Integer statusStart){
		this.statusStart = statusStart;
	}

	/**
	 * 获取 结束 状态，0停用，1启用，默认1
	 * @return statusEnd
	 */
	public Integer getStatusEnd(){
		return this.statusEnd;
	}

	/**
	 * 设置 结束 状态，0停用，1启用，默认1
	 * @param statusEnd
	 */
	public void setStatusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
	}

	/**
	 * 获取 增加 状态，0停用，1启用，默认1
	 * @return statusIncrement
	 */
	public Integer getStatusIncrement(){
		return this.statusIncrement;
	}

	/**
	 * 设置 增加 状态，0停用，1启用，默认1
	 * @param statusIncrement
	 */
	public void setStatusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
	}

	/**
	 * 获取 状态，0停用，1启用，默认1
	 * @return statusList
	 */
	public List<Integer> getStatusList(){
		return this.statusList;
	}

	/**
	 * 设置 状态，0停用，1启用，默认1
	 * @param statusList
	 */
	public void setStatusList(List<Integer> statusList){
		this.statusList = statusList;
	}

	/**
	 * 获取 描述
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 描述
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 开始 更新时间
	 * @return updateTimeStart
	 */
	public String getUpdateTimeStart(){
		return this.updateTimeStart;
	}

	/**
	 * 设置 开始 更新时间
	 * @param updateTimeStart
	 */
	public void setUpdateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
	}

	/**
	 * 获取 结束 更新时间
	 * @return updateTimeEnd
	 */
	public String getUpdateTimeEnd(){
		return this.updateTimeEnd;
	}

	/**
	 * 设置 结束 更新时间
	 * @param updateTimeEnd
	 */
	public void setUpdateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
	}

	/**
	 * 获取 开始 创建用户ID
	 * @return createUserIdStart
	 */
	public Long getCreateUserIdStart(){
		return this.createUserIdStart;
	}

	/**
	 * 设置 开始 创建用户ID
	 * @param createUserIdStart
	 */
	public void setCreateUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
	}

	/**
	 * 获取 结束 创建用户ID
	 * @return createUserIdEnd
	 */
	public Long getCreateUserIdEnd(){
		return this.createUserIdEnd;
	}

	/**
	 * 设置 结束 创建用户ID
	 * @param createUserIdEnd
	 */
	public void setCreateUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
	}

	/**
	 * 获取 增加 创建用户ID
	 * @return createUserIdIncrement
	 */
	public Long getCreateUserIdIncrement(){
		return this.createUserIdIncrement;
	}

	/**
	 * 设置 增加 创建用户ID
	 * @param createUserIdIncrement
	 */
	public void setCreateUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
	}

	/**
	 * 获取 创建用户ID
	 * @return createUserIdList
	 */
	public List<Long> getCreateUserIdList(){
		return this.createUserIdList;
	}

	/**
	 * 设置 创建用户ID
	 * @param createUserIdList
	 */
	public void setCreateUserIdList(List<Long> createUserIdList){
		this.createUserIdList = createUserIdList;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserNameList
	 */
	public List<String> getCreateUserNameList(){
		return this.createUserNameList;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserNameList
	 */
	public void setCreateUserNameList(List<String> createUserNameList){
		this.createUserNameList = createUserNameList;
	}


}